config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config "etc/Nextcloud/sync-exclude.lst.new"

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib ; rm -rf libnextcloudsync.so )
( cd usr/lib ; ln -sf libnextcloudsync.so.0 libnextcloudsync.so )
( cd usr/lib ; rm -rf libnextcloudsync.so.0 )
( cd usr/lib ; ln -sf libnextcloudsync.so.2.3.2 libnextcloudsync.so.0 )
( cd usr/lib/nextcloud ; rm -rf libocsync.so.0 )
( cd usr/lib/nextcloud ; ln -sf libocsync.so.2.3.2 libocsync.so.0 )
( cd usr/lib/nextcloud ; rm -rf libocsync.so )
( cd usr/lib/nextcloud ; ln -sf libocsync.so.0 libocsync.so )
